<?php

namespace App\Filament\Resources\RequestInfoResource\Pages;

use App\Filament\Resources\RequestInfoResource;
use Filament\Actions;
use Filament\Resources\Pages\ListRecords;
use Illuminate\Support\Facades\Gate;
class ListRequestInfos extends ListRecords
{
    protected static string $resource = RequestInfoResource::class;

    protected function getHeaderActions(): array
    {
        return [
            Actions\CreateAction::make()
                ->label('Add New Request Info')
                ->visible(fn () => Gate::allows('create requestinfo')),
        ];
    }
}